import { render } from '@testing-library/react'
import { FluidType, TimeStep } from 'enums'
import { DateTime } from 'luxon'
import React from 'react'
import { Provider } from 'react-redux'
import { graphData } from 'tests/__mocks__/chartData.mock'
import { createMockEcolyoStore, mockGlobalState } from 'tests/__mocks__/store'
import BarChart from './BarChart'

describe('BarChart component', () => {
  const store = createMockEcolyoStore({
    chart: {
      selectedDate: DateTime.fromISO('2020-10-01T00:00:00.000Z', {
        zone: 'utc',
      }),
    },
    global: mockGlobalState,
  })
  it('should render correctly', () => {
    const { container } = render(
      <Provider store={store}>
        <BarChart
          chartData={graphData}
          fluidType={FluidType.ELECTRICITY}
          isSwitching={false}
          showCompare={false}
          timeStep={TimeStep.MONTH}
        />
      </Provider>
    )
    expect(container).toMatchSnapshot()
  })
})
