import { FluidType } from 'enums'
import React from 'react'
import FluidButton from './FluidButton'
import './fluidButtons.scss'

const FluidButtons = ({ activeFluid }: { activeFluid: FluidType }) => {
  const orderedFluids = [
    FluidType.MULTIFLUID,
    FluidType.ELECTRICITY,
    FluidType.WATER,
    FluidType.GAS,
  ]

  return (
    <div className="fluid-buttons">
      <div className="content">
        {orderedFluids.map(fluid => (
          <FluidButton
            key={fluid}
            isActive={activeFluid === fluid}
            fluidType={fluid}
          />
        ))}
      </div>
    </div>
  )
}

export default FluidButtons
