/* eslint-disable camelcase */
import {
  UserActionState,
  UserChallengeState,
  UserChallengeSuccess,
  UserExplorationType,
} from 'enums'
import { UserChallenge } from 'models'
import { duelData, duelDefault } from './duelData.mock'
import {
  explorationDefault,
  userExplorationUnlocked,
} from './explorationData.mock'
import { quizDefault, userQuiz } from './quizData.mock'

export const userChallengeData: UserChallenge[] = [
  {
    id: 'CHALLENGE0001',
    title: 'Challenge 1',
    description: 'Description challenge 1',
    state: UserChallengeState.DONE,
    target: 15,
    progress: {
      quizProgress: 0,
      explorationProgress: 0,
      actionProgress: 0,
    },
    duel: duelData,
    success: UserChallengeSuccess.WIN,
    startDate: null,
    endingDate: null,
    quiz: userQuiz,
    exploration: userExplorationUnlocked,
    action: {
      ecogesture: null,
      startDate: null,
      state: UserActionState.UNSTARTED,
    },
  },
  {
    id: 'CHALLENGE0002',
    title: 'Challenge 2',
    description: 'Description challenge 2',
    state: UserChallengeState.DONE,
    target: 15,
    progress: {
      quizProgress: 0,
      explorationProgress: 0,
      actionProgress: 0,
    },
    duel: duelData,
    success: UserChallengeSuccess.LOST,
    startDate: null,
    endingDate: null,
    quiz: userQuiz,
    exploration: userExplorationUnlocked,
    action: {
      ecogesture: null,
      startDate: null,
      state: UserActionState.UNSTARTED,
    },
  },
  {
    id: 'CHALLENGE0003',
    title: 'Challenge 3',
    description: 'Description challenge 3',
    state: UserChallengeState.ONGOING,
    target: 15,
    progress: {
      quizProgress: 0,
      explorationProgress: 0,
      actionProgress: 0,
    },
    duel: duelData,
    success: UserChallengeSuccess.ONGOING,
    startDate: null,
    endingDate: null,
    quiz: userQuiz,
    exploration: userExplorationUnlocked,
    action: {
      ecogesture: null,
      startDate: null,
      state: UserActionState.UNSTARTED,
    },
  },
  {
    id: 'CHALLENGE0004',
    title: 'Challenge 4',
    description: 'Description challenge 4',
    state: UserChallengeState.UNLOCKED,
    target: 15,
    progress: {
      quizProgress: 0,
      explorationProgress: 0,
      actionProgress: 0,
    },
    duel: duelData,
    success: UserChallengeSuccess.ONGOING,
    startDate: null,
    endingDate: null,
    quiz: userQuiz,
    exploration: userExplorationUnlocked,
    action: {
      ecogesture: null,
      startDate: null,
      state: UserActionState.UNSTARTED,
    },
  },
  {
    id: 'CHALLENGE0005',
    title: 'Challenge 5',
    description: 'Description challenge 5',
    state: UserChallengeState.LOCKED,
    target: 15,
    progress: {
      quizProgress: 0,
      explorationProgress: 0,
      actionProgress: 0,
    },
    duel: duelData,
    success: UserChallengeSuccess.ONGOING,
    startDate: null,
    endingDate: null,
    quiz: userQuiz,
    exploration: userExplorationUnlocked,
    action: {
      ecogesture: null,
      startDate: null,
      state: UserActionState.UNSTARTED,
    },
  },
  {
    id: 'CHALLENGE0006',
    title: 'Challenge 6',
    description: 'Description challenge 6',
    state: UserChallengeState.LOCKED,
    target: 15,
    progress: {
      quizProgress: 0,
      explorationProgress: 0,
      actionProgress: 0,
    },
    duel: duelData,
    success: UserChallengeSuccess.ONGOING,
    startDate: null,
    endingDate: null,
    quiz: userQuiz,
    exploration: userExplorationUnlocked,
    action: {
      ecogesture: null,
      startDate: null,
      state: UserActionState.UNSTARTED,
    },
  },
]

export const userChallengeDefault: UserChallenge[] = [
  {
    id: 'CHALLENGE0001',
    title: 'Challenge 1',
    description: 'Description challenge 1',
    state: UserChallengeState.UNLOCKED,
    target: 15,
    progress: {
      quizProgress: 0,
      explorationProgress: 0,
      actionProgress: 0,
    },
    duel: duelData,
    success: UserChallengeSuccess.ONGOING,
    startDate: null,
    endingDate: null,
    quiz: quizDefault,
    exploration: explorationDefault,
    action: {
      ecogesture: null,
      startDate: null,
      state: UserActionState.UNSTARTED,
    },
  },
  {
    id: 'CHALLENGE0002',
    title: 'Challenge 2',
    description: 'Description challenge 2',
    state: UserChallengeState.LOCKED,
    target: 15,
    progress: {
      quizProgress: 0,
      explorationProgress: 0,
      actionProgress: 0,
    },
    duel: duelDefault,
    success: UserChallengeSuccess.ONGOING,
    startDate: null,
    endingDate: null,
    quiz: quizDefault,
    exploration: explorationDefault,
    action: {
      ecogesture: null,
      startDate: null,
      state: UserActionState.UNSTARTED,
    },
  },
  {
    id: 'CHALLENGE0003',
    title: 'Challenge 3',
    description: 'Description challenge 3',
    state: UserChallengeState.LOCKED,
    target: 15,
    progress: {
      quizProgress: 0,
      explorationProgress: 0,
      actionProgress: 0,
    },
    duel: duelDefault,
    success: UserChallengeSuccess.ONGOING,
    startDate: null,
    endingDate: null,
    quiz: quizDefault,
    exploration: explorationDefault,
    action: {
      ecogesture: null,
      startDate: null,
      state: UserActionState.UNSTARTED,
    },
  },
  {
    id: 'CHALLENGE0004',
    title: 'Challenge 4',
    description: 'Description challenge 4',
    state: UserChallengeState.LOCKED,
    target: 15,
    progress: {
      quizProgress: 0,
      explorationProgress: 0,
      actionProgress: 0,
    },
    duel: duelDefault,
    success: UserChallengeSuccess.ONGOING,
    startDate: null,
    endingDate: null,
    quiz: quizDefault,
    exploration: explorationDefault,
    action: {
      ecogesture: null,
      startDate: null,
      state: UserActionState.UNSTARTED,
    },
  },
  {
    id: 'CHALLENGE0005',
    title: 'Challenge 5',
    description: 'Description challenge 5',
    state: UserChallengeState.LOCKED,
    target: 15,
    progress: {
      quizProgress: 0,
      explorationProgress: 0,
      actionProgress: 0,
    },
    duel: duelDefault,
    success: UserChallengeSuccess.ONGOING,
    startDate: null,
    endingDate: null,
    quiz: quizDefault,
    exploration: explorationDefault,
    action: {
      ecogesture: null,
      startDate: null,
      state: UserActionState.UNSTARTED,
    },
  },
  {
    id: 'CHALLENGE0006',
    title: 'Challenge 6',
    description: 'Description challenge 6',
    state: UserChallengeState.LOCKED,
    target: 15,
    progress: {
      quizProgress: 0,
      explorationProgress: 0,
      actionProgress: 0,
    },
    duel: duelDefault,
    success: UserChallengeSuccess.ONGOING,
    startDate: null,
    endingDate: null,
    quiz: quizDefault,
    exploration: explorationDefault,
    action: {
      ecogesture: null,
      startDate: null,
      state: UserActionState.UNSTARTED,
    },
  },
]
export const userChallengeExplo1OnGoing: UserChallenge = {
  id: 'CHALLENGE0001',
  title: 'Challenge 1',
  description: 'Description challenge 1',
  state: UserChallengeState.UNLOCKED,
  target: 15,
  progress: {
    quizProgress: 0,
    explorationProgress: 0,
    actionProgress: 0,
  },
  duel: duelDefault,
  success: UserChallengeSuccess.ONGOING,
  startDate: null,
  endingDate: null,
  quiz: userQuiz,
  exploration: {
    id: 'EXPLORATION001',
    state: 0,
    description: 'Avoir complété son profil',
    complementary_description: 'Refaire un tour dans son profil si déjà fait',
    target: 1,
    type: UserExplorationType.ACTION,
    date: null,
    ecogesture_id: '',
    fluid_condition: [],
    progress: 1,
    message_success:
      'Vous avez complété votre profil ou refait un tour dans votre profil',
  },
  action: {
    ecogesture: null,
    startDate: null,
    state: UserActionState.UNSTARTED,
  },
}
export const userChallengeExplo4: UserChallenge = {
  id: 'CHALLENGE0004',
  title: 'Challenge 4',
  description: 'Description challenge 4',
  state: UserChallengeState.UNLOCKED,
  target: 15,
  progress: {
    quizProgress: 0,
    explorationProgress: 0,
    actionProgress: 0,
  },
  duel: duelDefault,
  success: UserChallengeSuccess.ONGOING,
  startDate: null,
  endingDate: null,
  quiz: userQuiz,
  exploration: {
    id: 'EXPLORATION004',
    state: 0,
    description: 'Déverrouillez les données électricité à la demi-heure',
    complementary_description:
      'Consulter les données à la demi-heure si déjà fait',
    target: 1,
    type: 0,
    date: null,
    ecogesture_id: '',
    fluid_condition: [0],
    progress: 0,
    message_success:
      'Vous avez dévérrouillé les données électricité à la demi-heure',
  },
  action: {
    ecogesture: null,
    startDate: null,
    state: UserActionState.UNSTARTED,
  },
}
export const userChallengeExplo4_0: UserChallenge = {
  id: 'CHALLENGE0004',
  title: 'Challenge 4',
  description: 'Description challenge 4',
  state: UserChallengeState.UNLOCKED,
  target: 15,
  progress: {
    quizProgress: 0,
    explorationProgress: 0,
    actionProgress: 0,
  },
  duel: duelDefault,
  success: UserChallengeSuccess.ONGOING,
  startDate: null,
  endingDate: null,
  quiz: userQuiz,
  exploration: {
    id: 'EXPLORATION004_0',
    state: 0,
    description: 'Consulter l\'astuce "Lord Kelvin"',
    complementary_description: '',
    target: 1,
    type: 0,
    date: null,
    ecogesture_id: 'ECOGESTURE0031',
    fluid_condition: [],
    progress: 0,
    message_success: 'Vous avez consulté l\'astuce "Lord Kelvin"',
  },
  action: {
    ecogesture: null,
    startDate: null,
    state: UserActionState.UNSTARTED,
  },
}

export const userChallengeExplo2OnGoing: UserChallenge = {
  id: 'CHALLENGE0002',
  title: 'Challenge 2',
  description: 'Description challenge 2',
  state: UserChallengeState.ONGOING,
  target: 15,
  progress: {
    quizProgress: 0,
    explorationProgress: 0,
    actionProgress: 0,
  },
  duel: duelDefault,
  success: UserChallengeSuccess.ONGOING,
  startDate: null,
  endingDate: null,
  quiz: userQuiz,
  exploration: {
    id: 'EXPLORATION002',
    state: 1,
    description: "Consultez l'astuce Professeur Celsius",
    complementary_description: '',
    target: 1,
    type: 3,
    date: null,
    ecogesture_id: 'ECOGESTURE0037',
    fluid_condition: [],
    progress: 0,
    message_success: '',
  },
  action: {
    ecogesture: null,
    startDate: null,
    state: UserActionState.UNSTARTED,
  },
}
